llvm.org GIT mirror llvm / 6f4ccaf
Fix quoting problems from my previous change. <rdar://problem/13001651> I give up trying to get all of the settings into COMMON_MAKEFLAGS, so just do the easy thing and repeat the ones with interesting quoting issues in each make command. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@172296 91177308-0d34-0410-b5e6-96231b3b80d8 Bob Wilson 6 years ago
1 changed file(s) with 15 addition(s) and 5 deletion(s). Raw diff Collapse all Expand all
8787 else
8888 LLVM_VERSION="$LLVM_SUBMIT_VERSION-$LLVM_SUBMIT_SUBVERSION"
8989 fi
90 LLVM_VERSION_INFO="'\" Apple Build #$LLVM_VERSION\"'"
9190
9291 # Figure out how many make processes to run.
9392 SYSCTL=`sysctl -n hw.activecpu`
105104 --enable-optimized=$LLVM_OPTIMIZED \
106105 --disable-bindings"
107106
108 COMMON_MAKEFLAGS=$JOBS_FLAG $OPTIMIZE_OPTS UNIVERSAL=1 UNIVERSAL_ARCH="$HOSTS" UNIVERSAL_SDK_PATH=$SDKROOT NO_RUNTIME_LIBS=1 DISABLE_EDIS=1 REQUIRES_RTTI=1 DEBUG_SYMBOLS=1 LLVM_SUBMIT_VERSION=$LLVM_SUBMIT_VERSION LLVM_SUBMIT_SUBVERSION=$LLVM_SUBMIT_SUBVERSION CXXFLAGS=-DLLVM_VERSION_INFO="$LLVM_VERSION_INFO" VERBOSE=1
107 COMMON_MAKEFLAGS="\
108 UNIVERSAL=1 \
109 UNIVERSAL_SDK_PATH=$SDKROOT \
110 NO_RUNTIME_LIBS=1 \
111 DISABLE_EDIS=1 \
112 REQUIRES_RTTI=1 \
113 DEBUG_SYMBOLS=1 \
114 LLVM_SUBMIT_VERSION=$LLVM_SUBMIT_VERSION \
115 LLVM_SUBMIT_SUBVERSION=$LLVM_SUBMIT_SUBVERSION \
116 VERBOSE=1"
109117
110118 # Build the LLVM tree universal.
111119 mkdir -p $DIR/obj-llvm || exit 1
145153 --program-prefix="" \
146154 || exit 1
147155
148 make $COMMON_MAKEFLAGS SDKROOT=
156 make $JOBS_FLAG $COMMON_MAKEFLAGS SDKROOT= UNIVERSAL_ARCH="$HOSTS" \
157 CXXFLAGS="-DLLVM_VERSION_INFO='\" Apple Build #$LLVM_VERSION\"'"
149158 if [ $? != 0 ] ; then
150159 echo "error: LLVM 'make' failed!"
151160 exit 1
173182 CPPFLAGS="$CPPFLAGS" \
174183 || exit 1
175184
176 make $COMMON_MAKEFLAGS
185 make $JOBS_FLAG $COMMON_MAKEFLAGS UNIVERSAL_ARCH="$HOSTS" \
186 CXXFLAGS="-DLLVM_VERSION_INFO='\" Apple Build #$LLVM_VERSION\"'"
177187 if [ $? != 0 ] ; then
178188 echo "error: LLVM 'make' failed!"
179189 exit 1
192202 cd $DIR/obj-llvm || exit 1
193203
194204 # Install the tree into the destination directory.
195 make $COMMON_MAKEFLAGS install
205 make $JOBS_FLAG $COMMON_MAKEFLAGS UNIVERSAL_ARCH="$HOSTS" install
196206 if ! test $? == 0 ; then
197207 echo "error: LLVM 'make install' failed!"
198208 exit 1